import { Change, CriticalityLevel } from '../changes/change';
import { InvalidDocument } from 'src/validate';
export declare function getSymbol(level: CriticalityLevel): string;
export declare function renderChange(change: Change): string[];
export declare function bolderize(msg: string): string;
export declare function renderInvalidDocument(invalidDoc: InvalidDocument): string[];
export interface Renderer {
    emit(...msgs: string[]): void;
}
export declare class ConsoleRenderer implements Renderer {
    emit(...msgs: string[]): void;
}
